org.apache.ignite.internal.processors.cache.database

## Interface CacheSearchRow

All Known Subinterfaces:
  CacheDataRow

All Known Implementing Classes:
  CacheDataRowAdapter

    public interface CacheSearchRow

### Method Summary

Methods
`int` `hash()`
`KeyCacheObject` `key()`
`long` `link()`

### Method Detail

#### key

    KeyCacheObject key()

Returns:
  Cache key.

#### link

    long link()

Returns:
  Link for this row.

#### hash

    int hash()

Returns:
  Key hash code.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017